Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I'm new to Arch Linux and I've installed Gnome3. When I start it, it just offered me a fallback mode, that's not bad, I mean I've been using it for several days. But I'd like to try the standard mode now.

My graphics card is ATI(HD 6470M & 6520G) and I've installed xf86-video-ati but Gnome3 just failed to fallback mode...

And after I typed gnome-shell --replace, it shows:

failed to create drawable
(gnome-shell:1497): Clutter-CRITICAL **: Unable to initialize Clutter: Unable to select the newly created GLX context
Error window manager: Unable to initialize Clutter.

Also there's nomodeset in this file: grub.cfg, and if I remove it, I could just get a black screen...

I really don't know what should I do... how can I solve this problem? Any advice?

share|improve this question
add comment

1 Answer

up vote 2 down vote accepted

KMS (Kernel Mode Setting) is enabled by default in kernels after 2.6.33 (you should be on Kernel 3.0 if you are running an up-to-date Arch). So you should remove nomodeset from your kernel line (the option in grub.cfg). This will prevent the Clutter error.

In order to start X successfully, make sure you have added radeon to your MODULES array in /etc/rc.conf ( you will need to rebuild your initramfs image if you have to add it).

There is more detail, including troubleshooting options on the Arch Wiki ATI page.

For newer cards like yours, you might want to use the catalyst driver.

If you must disable KMS use radeon.modeset=0

share|improve this answer
    
i've tried the catalyst driver, but it has crushed several times and the topbar won't appear... so... do i have to use catalyst driver, if i want to use gome3? –  Eric Aug 27 '11 at 5:52
    
and when i'm using xf86-video-ati, seems i've to use radeon.modeset=0 to disable KMS or i'll just get a black screen... –  Eric Aug 27 '11 at 5:54
    
xf86-video-ati works well with Gnome3 for the majority of ATI cards. Yours may just be too recent. You could try this: bbs.archlinux.org/viewtopic.php?pid=971794#p971794 –  jasonwryan Aug 27 '11 at 6:05
    
GNOME 3 Shell uses a helper application /usr/libexec/gnome-session-is-accelerated (which returns either 0 or 1) to try to determine whether a graphics card supports hardware acceleration or not is determined by. You could try replacing this application with a script that simply returns true. –  fpmurphy1 Aug 27 '11 at 16:02
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.